<?php
/**
 * @file
 * ocio_book.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function ocio_book_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'ocio_book';
  $context->description = '';
  $context->tag = 'OCIO Book';
  $context->conditions = array(
    'bookroot' => array(
      'values' => array(
        'book_page' => 'book_page',
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'book-navigation' => array(
          'module' => 'book',
          'delta' => 'navigation',
          'region' => 'sidebar_1',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('OCIO Book');
  $export['ocio_book'] = $context;

  return $export;
}
