<?php
/**
 * @file
 * ocio_landing_page.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function ocio_landing_page_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_bottom_banner_image|node|ocio_landing_page|form';
  $field_group->group_name = 'group_bottom_banner_image';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'ocio_landing_page';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Bottom Banner Image',
    'weight' => '3',
    'children' => array(
      0 => 'field_pre_footer_banner_image',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-bottom-banner-image field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_bottom_banner_image|node|ocio_landing_page|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_display_options|node|ocio_landing_page|form';
  $field_group->group_name = 'group_display_options';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'ocio_landing_page';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Display Options',
    'weight' => '5',
    'children' => array(
      0 => 'field_alternate_panel_rows',
      1 => 'field_disable_breadcrumbs',
      2 => 'field_disable_title',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-display-options field-group-tab',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_display_options|node|ocio_landing_page|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_metatag|node|ocio_landing_page|form';
  $field_group->group_name = 'group_metatag';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'ocio_landing_page';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Metatags',
    'weight' => '7',
    'children' => array(
      0 => 'field_metatag_image',
      1 => 'field_summary',
    ),
    'format_type' => 'tab',
    'format_settings' => array(
      'label' => 'Metatags',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => '',
        'description' => 'Metadata for social media',
      ),
      'formatter' => 'closed',
    ),
  );
  $field_groups['group_metatag|node|ocio_landing_page|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_top_banner_image|node|ocio_landing_page|form';
  $field_group->group_name = 'group_top_banner_image';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'ocio_landing_page';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Top Banner Image',
    'weight' => '2',
    'children' => array(
      0 => 'field_banner_image',
      1 => 'field_banner_image_text',
      2 => 'field_banner_image_text_bkground',
      3 => 'field_banner_image_text_color',
      4 => 'field_banner_image_text_link',
      5 => 'field_banner_image_text_location',
      6 => 'field_assign_to_slideshow',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-top-banner-image field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_top_banner_image|node|ocio_landing_page|form'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Bottom Banner Image');
  t('Display Options');
  t('Metatags');
  t('Top Banner Image');

  return $field_groups;
}
