<?php
/**
 * @file
 * wcm_user_profile.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_user_profile_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function wcm_user_profile_image_default_styles() {
  $styles = array();

  // Exported image style: user_picture.
  $styles['user_picture'] = array(
    'label' => 'User Picture',
    'effects' => array(
      1 => array(
        'name' => 'manualcrop_crop_and_scale',
        'data' => array(
          'width' => 340,
          'height' => 400,
          'upscale' => 0,
          'respectminimum' => 1,
          'onlyscaleifcrop' => 0,
          'style_name' => 'user_picture',
        ),
        'weight' => 1,
      ),
      2 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 170,
          'height' => 200,
        ),
        'weight' => 2,
      ),
    ),
  );

  // Exported image style: user_picture_thumbnail.
  $styles['user_picture_thumbnail'] = array(
    'label' => 'User Picture Thumbnail',
    'effects' => array(
      3 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 102,
          'height' => 120,
        ),
        'weight' => 2,
      ),
    ),
  );

  return $styles;
}
