<?php
/**
 * @file
 * wcm_watchdog_to_slack.features.defaultconfig.inc
 */

/**
 * Implements hook_defaultconfig_features().
 */
function wcm_watchdog_to_slack_defaultconfig_features() {
  return array(
    'wcm_watchdog_to_slack' => array(
      'strongarm' => 'strongarm',
    ),
  );
}

/**
 * Implements hook_defaultconfig_strongarm().
 */
function wcm_watchdog_to_slack_defaultconfig_strongarm() {
  $export = array();

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'slack_channel';
  $strongarm->value = '#websites-discussion';
  $export['slack_channel'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'slack_webhook_url';
  $strongarm->value = 'https://hooks.slack.com/services/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';
  $export['slack_webhook_url'] = $strongarm;

  $strongarm = new stdClass();
  $strongarm->disabled = FALSE; /* Edit this to true to make a default strongarm disabled initially */
  $strongarm->api_version = 1;
  $strongarm->name = 'watchdog_slack_channel';
  $strongarm->value = '#website-discussion';
  $export['watchdog_slack_channel'] = $strongarm;

  return $export;
}
